.carousel-div {
  height: 38vw;
  margin-left: 9vw;
}

.slider-single {
  width: auto !important;
}

.title-text {
  padding-top: 3vw;
  padding-bottom: 1vw;
  text-align: center;
  font-size: 2vw;
}

.random-watchlist {
  position: absolute;
  bottom: 0.7vw;
  right: 1vw;
  height: 3vw;
  width: 3vw;
  background-color: #ff6868;
  color: white;
  border-color: #ff6868;
  font-size: 2.5vw;
  border-radius: 100%;
  z-index: 2;
  border: transparent;
}

.random-watchlist strong {
  position: relative;
  top: -0.75vw;
  left: 0vw;
}

.random-watchlist strong:hover {
  color: rgb(46, 46, 46);
}

.random-details {
  color: #ff6868;
  font-size: 1vw;
}

.random-details:hover {
  color: #ff6868;
}

.random-card-title {
  position: relative;
  background-color: rgba(255, 104, 104, 0.3);
  width: 100%;
  font-size: 1.5vw;
  max-height: 4vw;
  margin-bottom: 1vw;
}

.remove-watchlist {
  top: -15vw !important;
  right: -2vw !important;
}

.slider-left div:first-child {
  background-color: #ff6868;
  border-color: #ff6868 !important;
  border-radius: 4px;
}

.slider-right div:first-child {
  background-color: #ff6868;
  border-color: #ff6868 !important;
  border-radius: 4px;
}

.random-cards {
  display: grid;
  grid-template-rows: 30vw;
  grid-template-columns: 1fr 1fr;
  color: white;
  background-color: #4b4b4b;
  width: 45vw;
  height: 30vw;
  padding: 1vw;
  margin: 1vw;
}

.card-text {
  font-size: 1vw;
}

.random-image {
  position: relative;
  width: 100%;
  float: left;
}

.random-image img {
  width: 100%;
  height: 28vw;
  object-fit: cover;
}

.random-score {
  position: absolute;
  top: 20px;
  left: 20px;
  background-color: #ff6868;
  color: white;
  padding: 5px;
  border-radius: 4px;
}

.card-body {
  padding: 0.8vw;
  height: 100%;
  line-height: 1.5vw;
}

.card-body p {
  margin-bottom: 0.8vw;
}

.randomize-btn {
  position: absolute;
  right: 0;
  bottom: 0;
  padding: 10px 15px;
  margin-bottom: 4vw;
  margin-right: 4vw;
  font-size: 1.5vw;
  border-radius: 5px;
  font-weight: bold;
  background-color: #ff6868;
  color: white;
  border-color: #ff6868;
}
body {
  position: relative;
  width: 100%;
  min-height: 100vh;
  background-color: rgb(33, 37, 41);
}
.main-page-container {
  position: absolute;
  top: 0;
  left: 0;
  height: auto;
  width: 100%;
  display: inline-block;
}
.picture-text {
  position: absolute;
  margin-bottom: 3vw;
  margin-left: 2vw;
  bottom: 0;
  left: 0;
  color: white;
  padding: 5px 10px;
  font-weight: bold;
  font-size: 6vw;
  line-height: 1em;
  text-shadow: -1px -1px 0 hsl(240, 1%, 62%), 1px -1px 0 #8f8f8f,
    -1px 1px 0 #8f8f8f, 1px 1px 0 #8f8f8f;
}

.front-page-image {
  display: block;
  width: 100%;
  height: auto;
}

.logout {
  font-weight: bold;
  display: inline-block;
  border: 3px solid;
}
.greeting {
  color: white;
  margin-top: 8px;
}
.search-button {
  background-color: #ff6868;
  border-color: #ff6868;
  color: white;
}

.search-button:hover {
  background-color: #ff6868;
}

.searchbar {
  background-color: rgba(248, 248, 248, 0);
  border-color: #ff6868;
}

.navbar {
  background: rgba(33, 37, 41, 0.15);
}

.navbar a:hover {
  color: #ff6868;
}

.navbar-brand {
  color: white;
}

a {
  text-decoration: none;
}

.overlay {
  position: relative;
  z-index: 1;
}

.footer {
  position: absolute;
  top: 100%;
  width: 100%;
  padding: 0;
  background-color: #ff6868;
  color: rgb(71, 71, 71);
  text-decoration: none;
  z-index: 5;
  box-sizing: content-box;
}

.footer-link {
  color: rgb(71, 71, 71);
  font-weight: 600;
}
.footer-link:hover {
  color: rgb(36, 36, 36);
}

.terms-and-conditions {
  padding: 10vh;
}

.privacy-policy {
  padding: 10vh;
}

.profile-pic {
  border-radius: 100%;
  position: relative;
}

.profile-picture-name {
  display: grid;
  grid-template-rows: 3fr 1fr;
  text-align: center;
}

.left {
  grid-column: 1;
}

.right {
  grid-column: 3;
}

.about-grid{
  display: grid;
  grid-template-rows: repeat(4,auto);
}

.person-card {
  display: grid;
  grid-row: 1;
  grid-template-columns: 1fr 2fr 1fr;
}

.bio {
  grid-row: 1;
  grid-column: 2;
  text-align: center;
  font-size: 1.9vw;
}

.bio span {
  padding-left: 0.5vw;
  padding-right: 0.5vw;
}

.watchlist-button {
  position: relative;
  padding: 0;
  top: 15.5vw;
  right: -15.5vw;
  height: 3vw;
  width: 3vw;
  background-color: #ff6868;
  color: white;
  font-size: 2.5vw;
  border-radius: 100%;
  z-index: 2;
}

.watchlist-button strong {
  position: relative;
  top: -0.6vw;
  left: 0vw;
}

.watchlist-button-remove {
  background-color: #ff6868;
  color: white;
  z-index: 2;
  position: relative;
  top: 15.2vw;
  right: -1.8vw;
  border-radius: 2vw;
  font-size: 1.5vw;
  padding: 0.8vw;
}

.anime-list {
  display: grid;
  grid-template-columns: 1fr 3.1fr;
}

.filter-box {
  grid-column: 1;
  grid-row: 1;
  position: fixed;
  font-size: 75%;
  width: 22vw;
  overflow-y: scroll;
  overflow-x: hidden;
  max-height: 75vh;
  border-radius: 4px;
  border: 2px solid #343a40;
  background-color: #343a40;
}

.filter-box summary {
  font-size: medium;
}

.see-more-btn {
  border-radius: 2vw;
  border: none;
  background-color: #ff6868;
  color: white;
  font-size: 1.4vw;
  position: relative;
  left: 30.1vw;
  bottom: 7vw;
  padding: 0.5vw 1.4vw 0.5vw 1.4vw;
}

.see-more-btn:hover {
  color: black;
}

.column-2 {
  grid-column: 2;
  grid-row: 1;
}

.filter-header {
  background-color: #ff6868;
  font-size: large;
}

.form-top {
  background-color: black;
  text-align: center;
}

.form-box {
  background-color: #ff6868;
}

.form-all {
  position: relative;
  margin: 21.5vh 35vw 21.5vh 35vw;
  color: white;
}

.submit-button {
  background-color: black;
  border-color: black;
}

.submit-button:hover {
  background-color: #343a40;
  border-color: #343a40;
}

.anime-list-card {
  height: 20vw;
  width: 20vw;
  padding: 0;
  margin-bottom: 0.75em;
  border-radius: 10%;
  color: white;
  text-shadow: black 1px 1px;
}

.card-list {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  row-gap: 2.5vw;
  margin-left: 1vw;
  margin-bottom: 15vh;
}

.card-img {
  height: 20vw;
  border-radius: 10%;
}

.card-title {
  position: relative;
  background-color: rgba(255, 104, 104, 0.3);
  width: 100%;
  border-radius: 0.3rem 0.3rem 0rem 0rem;
  top: 1.5vw;
  text-indent: 0.5vw;
}

.card-link {
  display: block;
  height: 20vw;
  width: 20vw;
  top: 0vw;
  z-index: 1;
}

.card-img-overlay {
  padding: 0;
}

.person-preview {
  display: grid;
  grid-template-columns: 1fr;
  text-align: center;
}

.person-preview *:hover {
  cursor: pointer;
}

.person-preview span {
  grid-row: 2;
  font-size: 1.5vw;
  border-radius: 0.5rem;
  border: 2px solid #4b4b4b;
  margin-left: 30%;
  margin-right: 30%;
}

.gitlab {
  width: 4.5vw;
  position: relative;
  left: 1.1vw;
}

.linkedin {
  width: 2vw;
  height: 2vw;
  fill: #00a0dc;
}

.about-preview {
  margin-top: 1.5vw;
  padding-top: 5vw;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  margin-left: 2vw;
  margin-right: 2vw;
  padding-left: 3vw;
  padding-right: 3vw;
  padding-bottom: 5vw;
  border-top: 2px solid #4b4b4b;
}

.divider {
  margin-left: 2vw;
  margin-right: 2vw;
  border-bottom: 2px solid #4b4b4b;
}

.space {
  padding-top: 5vw;
}

.center-text {
  text-align: center;
}

.preview-pic {
  position: relative;
  left: 25%;
  width: 50%;
  margin-bottom: 1vw;
}

.anime-detail-div {
  padding-left: 15vw;
  padding-right: 15vw;
  padding-top: 2vw;
  padding-bottom: 2vw;
}

.card-title-2 {
  position: relative;
  background-color: rgba(255, 104, 104, 0.3);
  width: 100%;
  border-radius: 0.3rem 0.3rem 0rem 0rem;
  top: 1.5vw;
  text-indent: 0.5vw;
}

.info-grid {
  display: grid;
  grid-template-columns: 24vw 1fr;
  margin-top: 2rem;
}

.image-container img {
  width: 100%;
  height: auto;
  border-radius: 4px;
}

.score-rank-grid {
  display: grid;
  grid-template-rows: 1fr;
  grid-template-columns: 1fr 1fr;
}
.score-rank {
  padding-top: 2vw;
}

.score-rank span {
  border: 1px solid #ff6868;
  border-radius: 4px;
  background-color: #ff6868;
  color: white;
  padding: 0.5vw;
  margin: 0.5vw;
  box-sizing: border-box;
  font-size: 1.3vw;
}

.score-rank-div {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-left: 1.5vw;
  padding-right: 1.5vw;
}

.additional-info {
  margin-top: 2rem;
}

.synopsis-div {
  display: grid;
  grid-template-columns: 1fr;
  padding: 1vw;
  font-size: 1vw;
}

.anime-detail-divider {
  margin-left: 2vw;
  margin-right: 2vw;
  border-bottom: 2px solid #4b4b4b;
  padding-bottom: 2.5vw;
  margin-bottom: 2vw;
}

.anime-detail-divider-2 {
  border-bottom: 2px solid #4b4b4b;
  margin-bottom: 1vw;
}

.anime-detail-text ul {
  text-indent: 1vw;
  list-style: none;
  font-size: 1vw;
  line-height: 1.8vw;
}

.move-button {
  top: -4.25vw !important;
  right: -19.5vw !important;
}

.move-remove-button {
  top: -5.25vw !important;
  right: -3.5vw !important;
}

.no-box-shadow {
  box-shadow: none !important;
}

.watchlist-grid-ultimate {
  display: grid;
  grid-template-rows: 0.5fr 5fr;
  padding: 4vw;
}

.watchlist-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  padding-left: 3vw;
}

.filter-button {
  border-radius: 4vw;
  background-color: black;
  border: 0.4vw solid black;
  color: white;
  font-size: min(2.5vw, 1.5rem);
  margin: 1vw 1vw 1vw 2vw;
  padding-left: 1.5vw;
  padding-right: 1.5vw;
}

.filter-button-div {
  display: grid;
  grid-template-rows: 1fr;
  grid-template-columns: 1fr 1fr;
  justify-content: center;
  padding-right: 0.8vw;
}

.accordion-button {
  background-color: black;
  color: white;
  box-shadow: none !important;
  font-size: 1.2vw;
}

.accordion-button::after {
  color: #ff6868;
}

.filter-box > div > div {
  border: 1px solid #343a40;
}

.filter-box::-webkit-scrollbar {
  background: #ff6868;
  border-radius: 2vw;
  width: 0.5vw;
}

.filter-box::-webkit-scrollbar-thumb {
  background: black;
  border-radius: 2vw;
  width: 0.5vw;
}

.accordion-button:not(.collapsed) {
  background-color: black !important;
  color: white !important;
}

.accordion-body {
  background-color: #ff6868;
  color: white;
}

.anime-detail-remove-watchlist {
  top: -15vw !important;
  right: -2vw !important;
}
